Package com.ads.api.beans.common

# Class SDIClassification

java.lang.Object
com.ads.api.beans.common.SDIClassification

public class SDIClassification extends Object
This class provides some beans control methods related to SDIClassification such as name, id, description, objectTypeId and objectId etc..

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SDIClassification()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description.
  `int`
  `getId()`
  Returns the id.
  `String`
  `getName()`
  Returns the name.
  `int`
  `getObjectId()`
  Returns the objectId.
  `int`
  `getObjectTypeId()`
  Returns the objectTypeId.
  `void`
  `setDescription(String description)`
  Sets the description.
  `void`
  `setId(int id)`
  Sets the id.
  `void`
  `setName(String name)`
  Sets the name.
  `void`
  `setObjectId(int objectId)`
  Sets the objectId.
  `void`
  `setObjectTypeId(int objectTypeId)`
  Sets the objectTypeId.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SDIClassification

    public SDIClassification()

- ## Method Details

  - ### getObjectTypeId

    public int getObjectTypeId()
    Returns the objectTypeId.
    Returns:
      objectTypeId int

  - ### setObjectTypeId

    public void setObjectTypeId(int objectTypeId)
    Sets the objectTypeId.
    Parameters:
      `objectTypeId` - int.

  - ### getObjectId

    public int getObjectId()
    Returns the objectId.
    Returns:
      objectId int

  - ### setObjectId

    public void setObjectId(int objectId)
    Sets the objectId.
    Parameters:
      `objectId` - int

  - ### getId

    public int getId()
    Returns the id.
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Sets the id.
    Parameters:
      `id` - int

  - ### getName

    public String getName()
    Returns the name.
    Returns:
      name String.

  - ### setName

    public void setName(String name)
    Sets the name.
    Parameters:
      `name` - String

  - ### getDescription

    public String getDescription()
    Returns the description.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the description.
    Parameters:
      `description` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`